Bug 1308956 - Review Request: python3-pyPEG2 - A PEG Parser-Interpreter in Python
Review Request: python3-pyPEG2 - A PEG Parser-Interpreter in Python
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
unspecified Severity medium
: ---
: ---
Assigned To: Michal Cyprian
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2016-02-16 10:02 EST by Tomas Orsava
Modified: 2016-02-23 05:22 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-02-23 05:22:15 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
mcyprian: fedora‑review+


Attachments (Terms of Use)

  None (edit)
Description Tomas Orsava 2016-02-16 10:02:32 EST
Spec URL: https://github.com/torsava/fedpkg_python3-pyPEG2/blob/master/python3-pyPEG2.spec

SRPM URL: https://github.com/torsava/fedpkg_python3-pyPEG2/blob/master/python3-pyPEG2-2.15.2-1.fc23.src.rpm (Click 'Raw' for download)

Description: pyPEG is a plain and simple intrinsic parser interpreter framework for Python version 3.x. It is based on Parsing Expression Grammar, PEG. With pyPEG you can parse many formal languages in a very easy way.

P.S. This package is a missing dependency for a vim-like browser 'qutebrowser' which I hope to package next.


Fedora Account System Username: torsava

This is my first package and I need a sponsor, if anyone would be so kind.

Koji builds:
- rawhide: http://koji.fedoraproject.org/koji/taskinfo?taskID=13008823
- f23: http://koji.fedoraproject.org/koji/taskinfo?taskID=13008849
Comment 1 Tomas Orsava 2016-02-16 11:02:02 EST
Since I hear GitHub is suboptimal, here are new links:

Spec URL: http://d.metaverse.cz/f/python3-pypeg2.spec

SRPM URL: http://d.metaverse.cz/f/python3-pypeg2-2.15.2-1.fc23.src.rpm
Comment 2 Michal Cyprian 2016-02-18 05:04:53 EST
- Spec file name should match the spec package %{name}, in the format
  %{name}.spec.

Everything else seems to be alright. I've successfuly built and installed your package.
Comment 3 Tomas Orsava 2016-02-18 05:18:40 EST
Oh, the file name DID match the spec package %{name}, it's just that my hosting converted all characters to lowercase, sorry.
Comment 4 Bohuslav "Slavek" Kabrda 2016-02-18 05:26:52 EST
I'd like to sponsor Tomas, but the review was already taken. I went through the package as well and it looks very good, so I'll just leave this here and do my sponsor job.
Comment 5 Gwyn Ciesla 2016-02-18 10:31:16 EST
Package request has been approved: https://admin.fedoraproject.org/pkgdb/package/python3-pyPEG2

Note You need to log in before you can comment on or make changes to this bug.